// testRF603.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <Windows.h>
#include <conio.h>
#include "RF60x.h"


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hRF603;

	RF60xHELLOANSWER rfhn;

	if (RF60x_OpenPort("COM5", 460800, &hRF603))
	{
		memset(&rfhn, 0x00, sizeof(rfhn));
		
		if (RF60x_HelloCmd(hRF603, 0x01, &rfhn))
		{
			printf("RF603 serial: %d\r\n", rfhn.wDeviceSerial);
			printf("RF603 range: %d\r\n", rfhn.wDeviceRange);
		} else
		{
			printf("RF603 do not answer!\r\n");
		}

		RF60x_ClosePort(hRF603);
	} else printf("COM port not find!\r\n");

	_getch();

	return 0;
}

